## List User Agent Blocking rules `client.firewall.uaRules.list(UARuleListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/zones/{zone_id}/firewall/ua_rules` Fetches User Agent Blocking rules in a zone. You can filter the results using several optional parameters. ### Parameters - `params: UARuleListParams` - `zone_id: string` Path param: Defines an identifier. - `description?: string` Query param: A string to search for in the description of existing rules. - `page?: number` Query param: Page number of paginated results. - `paused?: boolean` Query param: When true, indicates that the rule is currently paused. - `per_page?: number` Query param: The maximum number of results per page. You can only set the value to `1` or to a multiple of 5 such as `5`, `10`, `15`, or `20`. - `user_agent?: string` Query param: A string to search for in the user agent values of existing rules. ### Returns - `UARuleListResponse` - `id?: string` The unique identifier of the User Agent Blocking rule. - `configuration?: Configuration` The configuration object for the current rule. - `target?: string` The configuration target for this rule. You must set the target to `ua` for User Agent Blocking rules. - `value?: string` The exact user agent string to match. This value will be compared to the received `User-Agent` HTTP header value. - `description?: string` An informative summary of the rule. - `mode?: "block" | "challenge" | "js_challenge" | "managed_challenge"` The action to apply to a matched request. - `"block"` - `"challenge"` - `"js_challenge"` - `"managed_challenge"` - `paused?: boolean` When true, indicates that the rule is currently paused. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const uaRuleListResponse of client.firewall.uaRules.list({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(uaRuleListResponse.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "372e67954025e0ba6aaa6d586b9e0b59", "configuration": { "target": "ua", "value": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_5) AppleWebKit/603.2.4 (KHTML, like Gecko) Version/10.1.1 Safari/603.2.4" }, "description": "Prevent access from abusive clients identified by this User Agent to mitigate a DDoS attack", "mode": "js_challenge", "paused": false } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ```